Summary: 	A basic system library for accessing the termcap database.
Name: 		libtermcap
Version: 	2.0.8
Release: 	1
Source: 	ftp://metalab.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.bz2
Url: 		ftp://metalab.unc.edu/pub/Linux/GCC/
License: 	LGPL
Group: 		Libraries
Patch0: 	termcap-2.0.8-shared.patch
Patch1: 	termcap-2.0.8-setuid.patch
Patch2: 	termcap-2.0.8-instnoroot.patch
Patch3: 	termcap-2.0.8-compat21.patch
Patch4: 	termcap-2.0.8-xref.patch
Patch5: 	termcap-2.0.8-fix-tc.patch
Patch6: 	termcap-2.0.8-ignore-p.patch
Patch7: 	termcap-buffer.patch
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8: 	termcap-2.0.8-bufsize.patch
Patch9: 	termcap-2.0.8-colon.patch
Patch10: 	libtermcap-aaargh.patch
Patch11: 	termcap-2.0.8-glibc22.patch
Patch12: 	libtermcap-2.0.8-ia64.patch
Patch13: 	termcap-116934.patch
Patch14: 	termcap-2.0.8-shrink.patch
Patch15: 	termcap-2.0.8-octal.patch
Requires: 	termcap
BuildPrereq: 	texinfo
BuildRoot: 	/var/tmp/%{name}-root

%description
The libtermcap package contains a basic system library needed to
access the termcap database.  The termcap library supports easy access
to the termcap database, so that programs can output character-based
displays in a terminal-independent manner.

%package 	devel
Summary: 	Development tools for programs which will access the termcap database.
Group: 		Development

%description 	devel
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database,
you'll need to install this package.  You'll also need to install the
libtermcap package.

%prep
%setup -q -n termcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh
%patch11 -p1 -b .glibc22
%ifarch ia64
%patch12 -p1 -b .ia64
%endif
%patch13 -p1 -b .116934
%patch14 -p1 -b .shrink
%patch15 -p1 -b .octal

%build
make CFLAGS="$RPM_OPT_FLAGS -I."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/lib,%{_infodir},usr/include,etc,lib}

export PATH=/sbin:$PATH
make prefix=$RPM_BUILD_ROOT/usr install

install -c -m644 termcap.src $RPM_BUILD_ROOT/etc/termcap.libtermcap
cp termcap.info* $RPM_BUILD_ROOT/%{_infodir}

mkdir -p $RPM_BUILD_ROOT/%{_lib} $RPM_BUILD_ROOT/%{_libdir}
mv $RPM_BUILD_ROOT/usr/lib/libtermcap.so* $RPM_BUILD_ROOT/%{_lib}/
ln -sf libtermcap.so.2.0.8 $RPM_BUILD_ROOT/%{_lib}/libtermcap.so.2
ln -sf ../../%{_lib}/libtermcap.so.2.0.8 $RPM_BUILD_ROOT/%{_libdir}/libtermcap.so
ln -sf libtermcap.so.2.0.8 $RPM_BUILD_ROOT/%{_lib}/libtermcap.so
gzip -9nf $RPM_BUILD_ROOT/%{_infodir}/termcap.info*
chmod 644 $RPM_BUILD_ROOT/%{_infodir}/termcap.info*
if [ %{_libdir} != /usr/lib ] ; then
 mv $RPM_BUILD_ROOT/usr/lib/libtermcap.a $RPM_BUILD_ROOT/%{_libdir}/libtermcap.a
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}
/%{_lib}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
